System Requirements

Globalscape only offers support for EFT with the software/hardware on which we've tested EFT, as described below.

(See also EFT Specifications.)

EFT (Server Service) Requirements

EFT and its modules can be installed on a physical computer, virtualization software such as VMWare, and in the cloud. EFT Arcus is our SaaS offering, hosted on Microsoft Azure.

  • Operating systems:

    • Windows Server 2019

    • Windows Server 2016

  • Free RAM:

    • Minimum: 4 GB free RAM

    • Recommended: 8 GB free RAM (moderate AWE usage)

    • High Performance: 16GB free RAM (if AWE is extensively used)

    • More RAM could be required for large file transfers over the AS2 protocol. AS2 transfers can use up to 40% of the Server's RAM.

  • CPU:

    • Minimum: Dual-core CPU of at least 2.5GHz (for minimal processing/automation)

    • Recommended: Quad-core, at least 2.5 GHz (for moderate processing/automation)

    • High Performance: 8+ cores, at 2.5 GHz (for high amount of processing/automation)

  • Microsoft .NET Framework 4.0 or later (all components, including AWE and AS2; SQL Server 2016 and later require .NET Framework 4.6)

  • Max Latency (measured while not under load):

    • EFT to network share: <25ms

    • EFT to SQL/Oracle database: <10ms

    • EFT to DMZ Gateway: <50ms

    • EFT to Auth manager: <25ms

  • For HA (active-active) installations:

    • Microsoft Message Queuing (MSMQ) must be installed. (Requires EFT Enterprise)

    • Load balancer, such as F5® BIG-IP® Local Traffic Manager

    • File share (SMB or CIFS) for EFT configuration and users' files accessible via UNC path is required (configured as High Available storage for redundancy is recommended)

    • Fully qualified domain name (FQDN) or DNS record for File Shares and Databases is required and best practice

    • If encryption at rest is required, determine whether your storage vendor's solution includes built-in encryption or supports Microsoft's Encrypted File Shares (EFS). If neither option is available, you can leverage EFT built-in Encrypted Folders feature, which is available in standalone or high availability (HA) configurations.

    • Latency between all nodes should be the same. For example, if you have three nodes, A, B, and C, with latency between A and B at 50ms, but between A and C, or B and C is 100ms, this difference could cause EFT servers to crash, EFT server services restarts, configuration corruptions, and so on.

Max Latency (measured while not under load):

      • EFT node to another EFT node: <25ms

      • Each EFT node to network share: <25ms, with no more than +/- 50% discrepancy between nodes (A single network share used both for EFT configuration and as a file repository. EFT does not support separate shares even if those are two-way synced.)

      • Each EFT node to shared SQL/Oracle database: <10ms, with no more than +/- 50% discrepancy between nodes

      • Each EFT to a DMZ Gateway: <50ms, with no more than +/- 50% discrepancy between nodes

      • Each EFT to shared Auth manager: <25ms, with no more than +/- 50% discrepancy between nodes

  • If accessing or monitoring Samba network shares, version 3.x or later of Samba

  • The EFT server service runs under a user account, which must have full administrative rights (permissions) to the folder in which you install EFT. With administrative rights, the service can save all of your settings. If the service does not have administrative rights, you will lose settings and user accounts whenever you restart the EFT service, and you will need to reset permissions on the computer on which the EFT service is running. If you are using Active Directory, there are other considerations regarding permissions.

EFT Administration Interface Requirements

The administration interface must be installed on the same computer as EFT, but also can be installed on other computers for remote administration. (Refer to the ARM, AWE, and AS2 requirements below if you plan to use those modules remotely.)

  • Windows 10, Windows 2016, Windows 2019.

  • 1 GB of free RAM

  • 1280x800 resolution or higher display

  • Microsoft Windows Installer 4.5

  • Microsoft .NET Framework 4.0 or later

Auditing and Reporting Module (ARM) Requirements

  • Microsoft® ActiveX Data Objects (ADO)

    • EFT uses Microsoft ActiveX Data Objects (ADO) 2.7 or later to handle database communication, which in turn should load the Oracle drivers to handle Oracle implementation details. How and what is connected largely depends upon the connection string. By default (if you do not supply the entire connection string in EFT), the Oracle connection string should look like:

Provider=OraOLEDB.Oracle.1; Data Source=(DESCRIPTION =

(ADDRESS_LIST = (ADDRESS = (PROTOCOL = TCP)(HOST = {host value})(PORT = {port})))"

(CONNECT_DATA =(SERVICE_NAME = {database name})));

Persist Security Info=true;PLSQLRSet=1;PwdChgDlg=0;User Id={username};Password={password};

  • Microsoft SQL Server drivers are installed automatically, regardless of whether SQL Server will be used. (You can read more about SQL Server drivers here: https://docs.microsoft.com/en-us/sql/connect/oledb/oledb-driver-for-sql-server?view=sql-server-2017.)

  • 3GB minimum hard drive space for the initial database size. Space requirements for transactions depend on estimated Event Rule activity, number of connections, and types of transactions. A general estimate is 3MB to 5 MB per 1000 files uploaded.

  • PDF-viewing software (such as Adobe Reader) to view PDF reports.

  • Access to a SQL Server or an Oracle database.

    • The installer includes SQL Server Express (intended for evaluation purposes only). EFT is supported with the following SQL Server versions:

      • SQL Server 2016

      • SQL Server 2017

      • SQL Server 2019

    • Oracle requires EFT Enterprise; refer to Oracle's documentation regarding Oracle system requirements. Be sure to reboot after you install the Oracle Data Access Components (ODAC). You need to use the 32-bit ODAC, even if EFT Enterprise is installed on a 64-bit operating system.

      EFT Enterprise is supported with the following Oracle versions:

      • Oracle Database 12c Release 2 (12.2.0.1)

      • Oracle Database 18c (18.1.0)

      • Oracle Database 19c

    • A good database maintenance plan is important to keeping space requirements to a minimum (aging/archiving/warehousing/truncating old data).

    • For better database performance, follow the standard SQL/Oracle tuning guidelines in their respective documentation. See also Purging Data from the Database.

    • For ARM upgrades, Microsoft .NET Framework 4.0

    • Insight requires a SQL Server database; it does not work with Oracle databases

AS2 Module Requirements

Web Transfer Client (WTC) and Workspaces Requirements

The EFT installer is bundled with a compatible version of the WTC.

  • 1280x800 resolution or higher display

  • JavaScript must be enabled in the browser.

  • WTC supports:

    • Directory listings that contain up to 1,000 items. More items can work on certain browsers; however 1,000 is the official (tested) supported item limit.

    • ASCII and UTF-8 encoded filenames that follow Windows’ naming conventions

    • Directory trees up to the Windows “MAX_PATH” length, or 260 chars (note that this is absolute path, not relative path. Only the relative path is visible to the user).

  • Web browser:

    • Unsupported browsers may force the use of the "plain-text client."

    • The WTC will work with most modern browsers require modern internet browsers that support HTML 5. Refer to https://kb.globalscape.com/KnowledgebaseArticle11367.aspx to see which browsers were tested with each version of EFT. (Internet Explorer does not support >4GB uploads.)

    • The browser running the client must have cookies enabled. Note that cookies work on IP addresses (e.g., 127.0.0.0) or full domain names (e.g., yourcompany.org), not Localhost.

Advanced Security Module Requirements

Express Security Module Requirements

EFT Outlook Add-In Requirements

  • The EFT Outlook Add-In is supported on Office 365, Office 2016, Office 2019, with the latest service packs (as of this release).

  • Globalscape Support no longer tests the EFT Outlook Add-In with older versions, therefore it is not a supported configuration; however, some customers are still using those versions

DMZ Gateway Requirements

Advanced Workflow Engine Requirements

  • AWE v10 requires Microsoft .NET Framework 4.0 and EFT Enterprise v7.4.5 or later.

Insight

Accelerate Module Requirements

The requirements for the Accelerate module include:

  • EFT Enterprise

  • DMZ Gateway® v3.4 and later (Windows only)

  • HTTPS must be enabled

  • UDP port must be opened on the external firewall to DMZ Gateway (HTTPS is used from DMZ Gateway through internal firewall to EFT)

  • For server-to-server accelerated transfers, DMZ Gateway and EFT must be installed at each end of the transfer.

The Accelerate module/FAST protocol is not supported on Linux versions of DMZ Gateway.

Mobile Transfer Client (MTC) System Requirements

MTC is supported on:

  • Android- or iOS-based mobile devices of varying resolutions.

  • Android 2.3 or later for general operations

  • Android 3.0 or later if encrypted data store is required

  • iOS 6.1 or later (tested on both 6 and 7)

Content Integrity Control Action Requirements

The Content Integrity Control (CIC) Action requires a connection to an ICAP server. The CIC action was tested with:

  • Clearswift (DLP) version 5.0.0-20208241408

    MyDLP Community Edition Server version 2.2.32-1

  • Symantec DLP version 14.5.0.24028

  • Kaspersky version 5.5

When using the CIC action, EFT needs to use POST in HTTP requests. Refer to knowledgebase article https://kb.globalscape.com/KnowledgebaseArticle11375.aspx for information about enabling an advanced property.